efreet_icon.h File Reference

Contains the structures and methods used to support the FDO icon theme specificiation. More...

## Data Structures

struct | Efreet_Icon_Theme
| Efreet_Icon_Theme. More...
struct | Efreet_Icon_Theme_Directory
| Efreet_Icon_Theme_Directory. More...
struct | Efreet_Icon
| Efreet_Icon. More...
struct | Efreet_Icon_Point
| Efreet_Icon_Point. More...

## Typedefs

typedef enum Efreet_Icon_Theme_Context | Efreet_Icon_Theme_Context
| The possible contexts for an icon directory.
typedef enum Efreet_Icon_Size_Type | Efreet_Icon_Size_Type
| The possible size types for an icon directory.
typedef struct Efreet_Icon_Theme | Efreet_Icon_Theme
| Efreet_Icon_Theme.
typedef struct Efreet_Icon_Theme_Directory | Efreet_Icon_Theme_Directory
| Efreet_Icon_Theme_Directory.
typedef struct Efreet_Icon | Efreet_Icon
| Efreet_Icon.
typedef struct Efreet_Icon_Point | Efreet_Icon_Point
| Efreet_Icon_Point.

## Enumerations

enum | Efreet_Icon_Theme_Context { EFREET_ICON_THEME_CONTEXT_NONE , EFREET_ICON_THEME_CONTEXT_ACTIONS , EFREET_ICON_THEME_CONTEXT_DEVICES , EFREET_ICON_THEME_CONTEXT_FILESYSTEMS , EFREET_ICON_THEME_CONTEXT_MIMETYPES }
| The possible contexts for an icon directory.
enum | Efreet_Icon_Size_Type { EFREET_ICON_SIZE_TYPE_NONE , EFREET_ICON_SIZE_TYPE_FIXED , EFREET_ICON_SIZE_TYPE_SCALABLE , EFREET_ICON_SIZE_TYPE_THRESHOLD }
| The possible size types for an icon directory.

## Functions

const char * | efreet_icon_user_dir_get (void)
| Returns the user icon directory.
const char * | efreet_icon_deprecated_user_dir_get (void)
| Returns the deprecated user icon directory.
void | efreet_icon_extension_add (const char *ext)
| Adds the given extension to the list of possible icon extensions.
Eina_List ** | efreet_icon_extra_list_get (void)
| Gets the list of all extra directories to look for icons. These directories are used to look for icons after looking in the user icon dir and before looking in standard system directories. The order of search is from first to last directory in this list. the strings in the list should be created with eina_stringshare_add().
Eina_List * | efreet_icon_extensions_list_get (void)
| Gets the list of all icon extensions to look for.
Eina_List * | efreet_icon_theme_list_get (void)
| Retrieves all of the non-hidden icon themes available on the system. The returned list must be freed. Do not free the list data.
Efreet_Icon_Theme * | efreet_icon_theme_find (const char *theme_name)
| Tries to get the icon theme structure for the given theme name.
Efreet_Icon * | efreet_icon_find (const char *theme_name, const char *icon, unsigned int size)
| Retrieves all of the information about the given icon.
const char * | efreet_icon_list_find (const char *theme_name, Eina_List *icons, unsigned int size)
| Retrieves all of the information about the first found icon in the list.
const char * | efreet_icon_path_find (const char *theme_name, const char *icon, unsigned int size)
| Retrives the path to the given icon.
void | efreet_icon_free (Efreet_Icon *icon)
| Free's the given icon and all its internal data.

## Variables

int | EFREET_EVENT_ICON_CACHE_UPDATE
| Event id for cache update.

## Detailed Description

Contains the structures and methods used to support the FDO icon theme specificiation.